<div data-hook="admin_inside_taxon_form">
  <div class="row">
    <div class="col-xs-12 col-md-5">
      <%= f.field_container :name, class: ['form-group'] do %>
        <%= f.label :name, Spree.t(:name) %> <span class="required">*</span>
        <%= text_field :taxon, :name, class: 'form-control' %>
        <%= f.error_message_on :name, class: 'error-message' %>
      <% end %>

      <%= f.field_container :permalink, class: ['form-group'] do %>
        <%= label_tag :permalink_part, Spree.t(:permalink) %> <span class="required">*</span>
        <%= text_field_tag :permalink_part, @permalink_part, class: 'form-control', required: true %>
        <p class="help-block" id="permalink_part_display">
          <%= @taxon.permalink.split('/')[0...-1].join('/') + '/' %>
        </p>
      <% end %>

      <%= f.field_container :icon, class: ['form-group'] do %>
        <%= f.label :icon, Spree.t(:icon) %>
        <%= image_tag main_app.url_for(@taxon.icon.try(:attachment)) if @taxon.icon %>
        <%= f.file_field :icon %>
      <% end %>
    </div>

    <div class="col-xs-12 col-md-7">
      <%= f.field_container :h1_title, class: ['form-group'] do %>
        <%= label_tag :h1_title, Spree.t(:h1_title) %>
        <%= text_field :taxon, :h1_title, class: 'form-control', rows: 3 %>
      <% end %>

      <%= f.field_container :short_description, class: ['form-group'] do %>
        <%= f.label :short_description, Spree.t(:short_description) %>
        <%= f.text_area :short_description, class: 'form-control', rows: 3 %>
      <% end %>

      <%= f.field_container :description, class: ['form-group'] do %>
        <%= f.label :description, Spree.t(:description) %>
        <%= f.text_area :description, class: 'form-control', rows: 6 %>
      <% end %>
    </div>
  </div>

  <%= f.field_container :short_description_image, class: ['form-group'] do %>
    <%= f.label :short_description_image, Spree.t(:short_description_image) %>
    <%= f.text_field :short_description_image, class: 'form-control', rows: 6 %>
  <% end %>

  <%= f.field_container :short_description_mobile_image, class: ['form-group'] do %>
    <%= f.label :short_description_mobile_image, Spree.t(:short_description_mobile_image) %>
    <%= f.text_field :short_description_mobile_image, class: 'form-control', rows: 6 %>
  <% end %>

  <%= f.field_container :description_image, class: ['form-group'] do %>
    <%= f.label :description_image, Spree.t(:description_image) %>
    <%= f.text_field :description_image, class: 'form-control', rows: 6 %>
  <% end %>

<% if @taxon.respond_to?(:video_url) %>
  <%= f.field_container :video_url, class: ['form-group'] do %>
    <%= f.label :video_url, Spree.t(:video_url) %>
    <%= f.text_field :video_url, class: 'form-control', rows: 6 %>
  <% end %>
<% end %>
  <%= f.field_container :nutritional_info, class: ['form-group'] do %>
    <%= f.label :nutritional_info, Spree.t(:nutritional_info) %>
    <%= f.text_area :nutritional_info, class: 'form-control', rows: 6 %>
  <% end %>
  
  <%= f.field_container :directions, class: ['form-group'] do %>
    <%= f.label :directions, Spree.t(:directions) %>
    <%= f.text_area :directions, class: 'form-control', rows: 6 %>
  <% end %>
  
  <%= f.field_container :meta_title, class: ['form-group'] do %>
    <%= f.label :meta_title, Spree.t(:meta_title) %>
    <%= f.text_field :meta_title, class: 'form-control', rows: 6 %>
  <% end %>

  <%= f.field_container :meta_description, class: ['form-group'] do %>
    <%= f.label :meta_description, Spree.t(:meta_description) %>
    <%= f.text_field :meta_description, class: 'form-control', rows: 6 %>
  <% end %>

  <%= f.field_container :meta_keywords, class: ['form-group'] do %>
    <%= f.label :meta_keywords, Spree.t(:meta_keywords) %>
    <%= f.text_field :meta_keywords, class: 'form-control', rows: 6 %>
  <% end %>

  <%= f.field_container :noindex, class: ['form-group'] do %>
    <%= f.label :noindex, Spree.t(:noindex) %>
    <%= f.check_box :noindex, class: 'form-control', rows: 6 %>
  <% end %>
</div>
